Bug 858233 - automatic partitioning hangs when removing existing LVs
automatic partitioning hangs when removing existing LVs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-09-18 07:45 EDT by Kamil Páral
Modified: 2012-10-02 08:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-02 08:20:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (45.19 KB, text/plain)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details
anaconda.log (2.36 KB, text/plain)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details
program.log (26.63 KB, text/plain)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details
storage.log (119.01 KB, text/plain)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details
syslog (85.78 KB, text/plain)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details
storage.state (20.00 KB, application/octet-stream)
2012-09-18 07:47 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-09-18 07:45:29 EDT
Description of problem:
Installation hangs at "preparing to install" stage (that is the first text displayed when starting the real installation). If I look into logs, I see:

09:29:26,005 INFO program: Running... lvm pvremove --force --force --config  devices { filter=["r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/vg_foobar-lv_swap$|","r|/vg_foobar-lv_root$|","r|/vg_foobar$|","r|/sdb1$|","r|/sdb$|"] }  /dev/sda2
09:29:26,771 ERR program:   Couldn't find device with uuid 08KHPS-Fvrh-J3VE-ZFi9-BQdj-vfJn-fVnGt9.

I saw this problem for the third time, on two different machines. It probably happens if there are some existing LVM partition on the target disk (that you selected for automatic partitioning). But it is hard to reproduce, the same installation went fine on a second attempt on one machine, but also failed on a second attempt on a different machine. So it's not really deterministic.

I'm not sure why anaconda tries to remove the LVs in the first place, when it can just wipe the disk clean.

Version-Release number of selected component (if applicable):
anaconda 18.6.8
F18 Alpha

How reproducible:
sometimes

Steps to Reproduce:
1. have existing LVM partitions on a disk
2. boot anaconda
3. select the disk for automatic partitioning
4. start the installation
Comment 1 Kamil Páral 2012-09-18 07:47:06 EDT
Created attachment 613982 [details]
dmesg
Comment 2 Kamil Páral 2012-09-18 07:47:09 EDT
Created attachment 613983 [details]
anaconda.log
Comment 3 Kamil Páral 2012-09-18 07:47:13 EDT
Created attachment 613984 [details]
program.log
Comment 4 Kamil Páral 2012-09-18 07:47:16 EDT
Created attachment 613985 [details]
storage.log
Comment 5 Kamil Páral 2012-09-18 07:47:20 EDT
Created attachment 613986 [details]
syslog
Comment 6 Kamil Páral 2012-09-18 07:47:29 EDT
Created attachment 613987 [details]
storage.state
Comment 7 Adam Williamson 2012-09-26 14:52:48 EDT
Discussed at 2012-09-26 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-09-26/f18-beta-blocker-review-1.2012-09-26-16.03.log.txt . We agreed to delay decision on this one as the exact circumstances that trigger it are not clear - clumens thought it should be 'any time an existing LV will be destroyed', but kparal says it doesn't appear that simple.

In any case we expect this is fixed in 18.8, so Kamil, please re-test with http://dl.fedoraproject.org/pub/alt/qa/18/20120920_postalpha-smoke1/ - thanks!
Comment 8 Kamil Páral 2012-10-02 08:20:51 EDT
I can no longer reproduce with anaconda 18.8. Seems fixed.

Note You need to log in before you can comment on or make changes to this bug.